package com.face.jsonBean;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

public class JsonMaterialInfo {
	//素材ID
	@JsonProperty("MaterialId")
	private String materialId;

	//素材状态
	@JsonProperty("MaterialStatus")
	private int materialStatus;

	@JsonProperty("CreateTime")
	private String createTime;

	@JsonProperty("UpdateTime")
	private String updateTime;
//素材人脸模版
	@JsonProperty("MaterialFaceList")
	List<JsonMaterialFace> materialFaceList;
//素材名称
	@JsonProperty("MaterialName")
	private String materialName;
//授权信息
	@JsonProperty("AuditResult")
	private String auditResult;

	public String getMaterialId() {
		return materialId;
	}

	public void setMaterialId(String materialId) {
		this.materialId = materialId;
	}

	public int getMaterialStatus() {
		return materialStatus;
	}

	public void setMaterialStatus(int materialStatus) {
		this.materialStatus = materialStatus;
	}

	public String getCreateTime() {
		return createTime;
	}

	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	public String getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}

	public List<JsonMaterialFace> getMaterialFaceList() {
		return materialFaceList;
	}

	public void setMaterialFaceList(List<JsonMaterialFace> materialFaceList) {
		this.materialFaceList = materialFaceList;
	}

	public String getMaterialName() {
		return materialName;
	}

	public void setMaterialName(String materialName) {
		this.materialName = materialName;
	}

	public String getAuditResult() {
		return auditResult;
	}

	public void setAuditResult(String auditResult) {
		this.auditResult = auditResult;
	}
}
